%define upstream_name    B-Hooks-OP-Annotation
%define upstream_version 0.44

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Annotate and delegate hooked OPs
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
This module provides a way for XS code that hijacks OP 'op_ppaddr'
functions to delegate to (or restore) the previous functions, whether
assigned by perl or by another module. Typically this should be used in
conjunction with B::Hooks::OP::Check.

'B::Hooks::OP::Annotation' makes its types and functions available to XS
code by means of ExtUtils::Depends. Modules that wish to use these exports
in their XS code should 'use B::OP::Hooks::Annotation' in the Perl module
that loads the XS, and include something like the following in their
Makefile.PL:

    use ExtUtils::MakeMaker;
    use ExtUtils::Depends;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorarch/*




%changelog
* Mon Jun 06 2022 umeabot <umeabot> 0.440.0-6.mga9
+ Revision: 1861557
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.440.0-5.mga9
+ Revision: 1795513
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.440.0-4.mga9
+ Revision: 1726402
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.440.0-3.mga8
+ Revision: 1594304
- Rebuild for perl 5.32

* Mon Feb 17 2020 umeabot <umeabot> 0.440.0-2.mga8
+ Revision: 1537331
- Mageia 8 Mass Rebuild

* Wed Oct 30 2019 tv <tv> 0.440.0-1.mga8
+ Revision: 1456714
- imported package perl-B-Hooks-OP-Annotation


* Wed Oct 30 2019 Thierry Vignaud <tv@mageia.org> 0.440.0-1.mga8
- initial mageia release, generated with cpan2dist
